Subscription Payments & Renewals

Create an API flow session for a user subscription payment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This section covers the payment flow process. Use this endpoint to confirm payment status (for initial subscription payments and renewals).

To create an API flow session for user subscription payment, follow these steps:

1. Set the Request Details

  • URL: https://stg-gw.mondiapay.com

2. Add the Required Headers

Authorization Header: The authorization header will be automatically generated when you send the request using your dedicated Basic Auth credentials (Username and Password):

Basic bW9u34lhLXRlc3Q6V3lrcEJrQWtnNlU5ZTRWYnRXWmFMdTdPQWNnY2s4YXU1WWJYZDBBdA==

HeaderValue
Content-Typeapplication/json
AuthorizationGenerated Basic Auth Token

3. Prepare the Request Body

Replace productId, paymentDateTime, subscriptionTypeId, msisdn,billedAmount, and the payment event in the body with the pre-defined values.

Request BodyDescriptionRequired
msisdnUnique user identifier.Yes
productIdThe product Id is an internal Id associated to the marketplaceOptional
subscriptionTypeIdThe Id of the subscription type (same as typeId returned in the Product endpoint)Yes
eventThe payment events. The expect values are "PAYMENT_SUCCESS" in case of successful payments and "PAYMENT_FAILED" in case of failed paymentsYes
billedAmountThe exact amount attempted or charged for the payment eventYes
paymentDateTimeThe date and time payment was attemptedYes
eventIdA unique session or transaction Id for the event triggeredYes

4. Make the Request

Once you’ve set the URL, headers, and body, proceed with a POST request.



Body Params
int32
required
Defaults to 12340001

Subscription type identifier, this is returned in the Product API. You can also contact your account manager to get this.

int32
Defaults to 1234

The Id associated to the marketplace

string
required
Defaults to PAYMENT_SUCCESS

Payment events

string
required
Defaults to 201111112015

Unique user identifier

string
required

The date and time payment was attempted

string
required

The amount attempted or charged for the payment event

string
required

A unique session or transaction Id for the event triggered

Headers
string
Defaults to Basic bW9uZGlhLXRlc3Q6V3lrcEJrQWtnNlU5ZTRWYnRXWmFMdTdPQWNnY2s4YXU1WWJYZDBBdA==

The authorization header automatically generated when you send the request using Basic Auth (Username & Password)

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json